Package io.flutter.embedding.engine.loader

## Class ApplicationInfoLoader

- java.lang.Object
- - io.flutter.embedding.engine.loader.ApplicationInfoLoader

-     public final class ApplicationInfoLoader
      extends Object

  Loads application information given a Context.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NETWORK_POLICY_METADATA_KEY` |
    `static String` | `PUBLIC_AOT_SHARED_LIBRARY_NAME` |
    `static String` | `PUBLIC_AUTOMATICALLY_REGISTER_PLUGINS_METADATA_KEY` |
    `static String` | `PUBLIC_FLUTTER_ASSETS_DIR_KEY` |
    `static String` | `PUBLIC_ISOLATE_SNAPSHOT_DATA_KEY` |
    `static String` | `PUBLIC_VM_SNAPSHOT_DATA_KEY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApplicationInfoLoader()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FlutterApplicationInfo` | `load​(Context applicationContext)` | Initialize our Flutter config values by obtaining them from the manifest XML file, falling back to default values.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PUBLIC_AOT_SHARED_LIBRARY_NAME

          public static final String PUBLIC_AOT_SHARED_LIBRARY_NAME

    - #### PUBLIC_VM_SNAPSHOT_DATA_KEY

          public static final String PUBLIC_VM_SNAPSHOT_DATA_KEY

    - #### PUBLIC_ISOLATE_SNAPSHOT_DATA_KEY

          public static final String PUBLIC_ISOLATE_SNAPSHOT_DATA_KEY

    - #### PUBLIC_FLUTTER_ASSETS_DIR_KEY

          public static final String PUBLIC_FLUTTER_ASSETS_DIR_KEY

    - #### NETWORK_POLICY_METADATA_KEY

          public static final String NETWORK_POLICY_METADATA_KEY

      See Also:
        Constant Field Values

    - #### PUBLIC_AUTOMATICALLY_REGISTER_PLUGINS_METADATA_KEY

          public static final String PUBLIC_AUTOMATICALLY_REGISTER_PLUGINS_METADATA_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ApplicationInfoLoader

          public ApplicationInfoLoader()

  - ### Method Detail

    - #### load

          @NonNull
          public static FlutterApplicationInfo load​(@NonNull
                                                    Context applicationContext)

      Initialize our Flutter config values by obtaining them from the manifest XML file, falling back to default values.